Workspaces - Get

取得 Workspace 資源。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Chaos/workspaces/{workspaceName}?api-version=2026-08-01-preview

URI 參數

名稱 位於 必要 類型 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

workspaceName
path True

string

minLength: 1
pattern: ^[^<>%&:?#/\\]+$

代表工作區資源名稱的字串。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

Workspace

Azure 作業已順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 冒用您的使用者帳戶

範例

Get a Workspace in a resource group.

範例要求

GET https://management.azure.com/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/resourceGroups/exampleRG/providers/Microsoft.Chaos/workspaces/exampleWorkspace?api-version=2026-08-01-preview

範例回覆

{
  "name": "exampleWorkspace",
  "type": "Microsoft.Chaos/workspaces",
  "id": "/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/resourceGroups/exampleRG/providers/Microsoft.Chaos/workspaces/exampleWorkspace",
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/exampleResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/exampleIdentity": {}
    },
    "tenantId": "8c3e2fb2-fe7a-4bf1-b779-d73990782fe6"
  },
  "tags": {
    "environment": "production",
    "department": "engineering",
    "project": "chaos-testing"
  },
  "location": "westus2",
  "properties": {
    "provisioningState": "Updating",
    "scopes": [
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/exampleResourceGroup"
    ]
  },
  "systemData": {
    "createdAt": "2021-07-01T00:00:00.0Z",
    "createdBy": "User",
    "createdByType": "b3a41dba-4415-4d36-9ee8-e5eaa86db976",
    "lastModifiedAt": "2021-07-01T00:00:00.0Z",
    "lastModifiedBy": "User",
    "lastModifiedByType": "b3a41dba-4415-4d36-9ee8-e5eaa86db976"
  }
}

定義

名稱 Description
createdByType

建立此資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

ManagedServiceIdentity

受控服務識別(系統指派和/或使用者指派的身分識別)

ManagedServiceIdentityType

受控服務識別的類型(允許 SystemAssigned 和 UserAssigned 類型)。

ProvisioningState

目前某個 Azure Chaos 資源的配置狀態。

systemData

與建立和上次修改資源相關的元數據。

UserAssignedIdentity

使用者指派的身分識別屬性

Workspace

代表 Workspace 資源的模型。

createdByType

建立此資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤的其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

ManagedServiceIdentity

受控服務識別(系統指派和/或使用者指派的身分識別)

名稱 類型 Description
principalId

string (uuid)

系統指派身分識別的服務主體標識碼。 此屬性只會針對系統指派的身分識別提供。

tenantId

string (uuid)

系統指派身分識別的租用戶標識碼。 此屬性只會針對系統指派的身分識別提供。

type

ManagedServiceIdentityType

受控服務識別的類型(允許 SystemAssigned 和 UserAssigned 類型)。

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned 身分識別
與資源相關聯的使用者指派身分識別集。 userAssignedIdentities 字典索引鍵的格式為 ARM 資源標識符:'/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}。 字典值可以是要求中的空白物件({})。

ManagedServiceIdentityType

受控服務識別的類型(允許 SystemAssigned 和 UserAssigned 類型)。

Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

ProvisioningState

目前某個 Azure Chaos 資源的配置狀態。

Description
Succeeded

資源已建立。

Failed

資源建立失敗。

Canceled

資源建立已取消。

Creating

初始創建正在進行中。

Updating

更新進行中。

Deleting

刪除進行中。

Running

行動正在進行中。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立此資源的身分。

createdByType

createdByType

建立此資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。

UserAssignedIdentity

使用者指派的身分識別屬性

名稱 類型 Description
clientId

string (uuid)

指派之身分識別的用戶端標識碼。

principalId

string (uuid)

指派之身分識別的主體標識碼。

Workspace

代表 Workspace 資源的模型。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

identity

ManagedServiceIdentity

指派給此資源的受控服務識別。

location

string

資源所在的地理位置

name

string

資源的名稱

properties.communicationEndpoint

string

通訊端點用於連接並與工作空間進行故障注入協調。

properties.provisioningState

ProvisioningState

該工作區資源的最新配置狀態。

properties.scopes

string[] (arm-id)

預定的工作區層級資源範圍,供子情境使用。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

tags

object

資源標籤。

type

string

資源的類型。 例如:「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」